Quassel IRC - Feature #497

Topic change should fail if the length is too big for the server
01/22/2009 11:20 AM - hades

Status: New Start date: 01/22/2009
Priority: Normal Due date:
Description

Now if you try to set a topic exceeding server topic length limit it gets cut off.

It would be better if Quassel printed an error and refused to changed the topic.

History

#1 - 03/03/2010 08:50 PM - johu
- Tracker changed from Bug to Feature

- OS set to Any

#2 - 03/01/2012 09:20 PM - rikai

If quassel is going to go through the trouble of figuring out the server limit, would it not make more sense to limit the number of characters allowable
for input into the topic widget rather than to refuse the change and lose the changes?

Since there's no topic equivalent to message splitting like there is with normal messages, i can't see a reason not to handle it this way?
